public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/dalli/
Date: Tue, 30 Jan 2024 08:04:32 +0000 (UTC)	[thread overview]
Message-ID: <1706601844.d25d204a95812490ec1921f7e00c8afc404b97a2.graaff@gentoo> (raw)

commit:     d25d204a95812490ec1921f7e00c8afc404b97a2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 30 08:04:04 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jan 30 08:04:04 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d25d204a

dev-ruby/dalli: add 3.2.7

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/dalli/Manifest           |  1 +
 dev-ruby/dalli/dalli-3.2.7.ebuild | 44 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-ruby/dalli/Manifest b/dev-ruby/dalli/Manifest
index d9a9adce645b..8fd6168def5b 100644
--- a/dev-ruby/dalli/Manifest
+++ b/dev-ruby/dalli/Manifest
@@ -1,2 +1,3 @@
 DIST dalli-3.2.5.tar.gz 72496 BLAKE2B 2a8665aad98629ccab873a2b6b6661304b25dd2374ed3685f97dee83bf43c604088e43229ced951453d889fab7a1ec35b7fb3f0028858cf890a6013ac82b64c1 SHA512 ace079e3c9f7c30e2f266a07f87e58cbf4276f5ca4744ade76782a6a6047296bf5e23d40a4c1f4596b1eb150501c460f7cf89b33f308a774bcfe5825ec635760
 DIST dalli-3.2.6.tar.gz 72683 BLAKE2B d3cf252862d796cb0e8320df0b35af91678949b1dc564054585252e98caed70681609857b7606663b4bda08a27112bc1d51779fc29ef045d0ec087ba80d6dfdd SHA512 93aa808123adb671c096543271407e497770a8f7481a961f48f11493f3a313113f0ec7829708d7352c0ade1f02a9842ecfc22ba7d93beb138db981d2bd1b94a9
+DIST dalli-3.2.7.tar.gz 73058 BLAKE2B 8baba122e1bba1254e38ed021ac0c494c27bccf65d99aa16f379824073457e2eb7f79b2e9ec4cb49153b682c48d6bdfdcbe64966a286dba7b45349ace81ca4a1 SHA512 771bb0863e86cd7c252cfc1a688dd820b3efd24d6038be8789e2d4c2604703b78b64d36d0b32bb81001d625fc116eb86b4421cb3b32de8918912a3995e68ee70

diff --git a/dev-ruby/dalli/dalli-3.2.7.ebuild b/dev-ruby/dalli/dalli-3.2.7.ebuild
new file mode 100644
index 000000000000..41af68f1391e
--- /dev/null
+++ b/dev-ruby/dalli/dalli-3.2.7.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true test"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md Performance.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A high performance pure Ruby client for accessing memcached servers"
+HOMEPAGE="https://github.com/petergoldstein/dalli"
+SRC_URI="https://github.com/petergoldstein/dalli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE="test"
+
+DEPEND+="${DEPEND} test? ( >=net-misc/memcached-1.5.4[ssl(-)] )"
+
+ruby_add_bdepend "test? (
+		dev-ruby/connection_pool
+		dev-ruby/minitest:5
+		dev-ruby/rack
+		dev-ruby/rack-session
+)"
+
+all_ruby_prepare() {
+	chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+	sed -i -e '/\(appraisal\|bundler\)/ s:^:#:' Rakefile || die
+
+	sed -i -e '3igem "minitest", "~> 5.0"; require "dalli"' \
+		-e '/bundler/ s:^:#:' test/helper.rb || die
+
+	sed -i -e "s:/tmp:${T}:" test/utils/certificate_generator.rb || die
+}


             reply	other threads:[~2024-01-30  8:04 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-30  8:04 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-21  6:26 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/dalli/ Hans de Graaff
2024-07-10  8:42 Jakov Smolić
2024-07-10  5:09 Sam James
2024-07-10  5:09 Sam James
2024-07-10  0:52 Sam James
2024-07-10  0:52 Sam James
2024-07-10  0:52 Sam James
2024-06-26 14:42 Ionen Wolkens
2024-03-08 11:35 Hans de Graaff
2023-12-30  7:20 Hans de Graaff
2023-12-30  7:20 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-11-12  4:42 Sam James
2023-11-04  7:06 Hans de Graaff
2023-08-20  5:43 Sam James
2023-08-19  7:53 Arthur Zamarin
2023-08-19  7:42 Arthur Zamarin
2023-08-19  6:18 Sam James
2023-08-19  6:09 Sam James
2023-07-08 14:09 Hans de Graaff
2023-06-14  6:21 Hans de Graaff
2023-04-23 21:40 Sam James
2023-04-23 21:33 Sam James
2023-04-23 21:33 Sam James
2023-04-02  1:51 Sam James
2023-03-28 16:04 Sam James
2023-03-28 16:04 Sam James
2023-02-18  7:29 Hans de Graaff
2023-01-13  9:46 Hans de Graaff
2022-10-31 16:41 Agostino Sarubbo
2022-10-31 16:38 Agostino Sarubbo
2022-10-30  9:17 Hans de Graaff
2022-10-30  9:17 Hans de Graaff
2022-06-18  5:48 Hans de Graaff
2022-06-04  7:43 Hans de Graaff
2022-05-08 15:00 WANG Xuerui
2022-04-10  5:54 Hans de Graaff
2022-03-20 10:04 Hans de Graaff
2021-11-12  7:21 Hans de Graaff
2021-11-12  6:29 Hans de Graaff
2021-10-02 20:40 Sam James
2021-07-16  9:51 Hans de Graaff
2021-07-06  7:49 Hans de Graaff
2021-07-06  7:49 Hans de Graaff
2020-12-20 17:24 Sam James
2020-12-20 16:44 Sam James
2020-09-27  6:12 Hans de Graaff
2020-02-15 15:24 Hans de Graaff
2019-03-29  7:17 Hans de Graaff
2019-03-24  8:35 Hans de Graaff
2019-02-20 19:08 Hans de Graaff
2018-12-27 17:41 Matt Turner
2018-12-01  8:00 Hans de Graaff
2018-11-25 10:09 Hans de Graaff
2018-10-21  8:58 Hans de Graaff
2018-10-21  8:58 Hans de Graaff
2018-05-04  5:46 Hans de Graaff
2018-04-12  5:28 Hans de Graaff
2018-04-10  5:26 Hans de Graaff
2018-01-13  8:19 Hans de Graaff
2017-06-30 12:47 Alexis Ballier
2017-06-19 19:04 Hans de Graaff
2017-02-08  6:59 Hans de Graaff
2016-04-17  8:06 Hans de Graaff
2016-04-14 23:37 Manuel Rüger
2016-03-23  6:16 Hans de Graaff
2016-02-14  6:53 Hans de Graaff
2016-02-14  6:53 Hans de Graaff
2015-12-25  8:46 Hans de Graaff
2015-12-19  7:55 Hans de Graaff
2015-12-19  7:55 Hans de Graaff
2015-09-19 17:25 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1706601844.d25d204a95812490ec1921f7e00c8afc404b97a2.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox